DHStandardGroups (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.agreement

## Class DHStandardGroups

- java.lang.Object
- - org.bouncycastle.crypto.agreement.DHStandardGroups

-     public class DHStandardGroups
      extends java.lang.Object

  Standard Diffie-Hellman groups from various IETF specifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DHParameters` | `rfc2409_1024`
    `static DHParameters` | `rfc2409_768`
    `static DHParameters` | `rfc3526_1536`
    `static DHParameters` | `rfc3526_2048`
    `static DHParameters` | `rfc3526_3072`
    `static DHParameters` | `rfc3526_4096`
    `static DHParameters` | `rfc3526_6144`
    `static DHParameters` | `rfc3526_8192`
    `static DHParameters` | `rfc4306_1024`
    `static DHParameters` | `rfc4306_768`
    `static DHParameters` | `rfc5996_1024`
    `static DHParameters` | `rfc5996_768`
    `static DHParameters` | `rfc7919_ffdhe2048`
    `static DHParameters` | `rfc7919_ffdhe3072`
    `static DHParameters` | `rfc7919_ffdhe4096`
    `static DHParameters` | `rfc7919_ffdhe6144`
    `static DHParameters` | `rfc7919_ffdhe8192`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DHStandardGroups()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rfc2409_768

          public static final DHParameters rfc2409_768

    - #### rfc2409_1024

          public static final DHParameters rfc2409_1024

    - #### rfc3526_1536

          public static final DHParameters rfc3526_1536

    - #### rfc3526_2048

          public static final DHParameters rfc3526_2048

    - #### rfc3526_3072

          public static final DHParameters rfc3526_3072

    - #### rfc3526_4096

          public static final DHParameters rfc3526_4096

    - #### rfc3526_6144

          public static final DHParameters rfc3526_6144

    - #### rfc3526_8192

          public static final DHParameters rfc3526_8192

    - #### rfc4306_768

          public static final DHParameters rfc4306_768

    - #### rfc4306_1024

          public static final DHParameters rfc4306_1024

    - #### rfc5996_768

          public static final DHParameters rfc5996_768

    - #### rfc5996_1024

          public static final DHParameters rfc5996_1024

    - #### rfc7919_ffdhe2048

          public static final DHParameters rfc7919_ffdhe2048

    - #### rfc7919_ffdhe3072

          public static final DHParameters rfc7919_ffdhe3072

    - #### rfc7919_ffdhe4096

          public static final DHParameters rfc7919_ffdhe4096

    - #### rfc7919_ffdhe6144

          public static final DHParameters rfc7919_ffdhe6144

    - #### rfc7919_ffdhe8192

          public static final DHParameters rfc7919_ffdhe8192

  - ### Constructor Detail

    - #### DHStandardGroups

          public DHStandardGroups()